> ## Documentation Index
> Fetch the complete documentation index at: https://docs.mufi.app/llms.txt
> Use this file to discover all available pages before exploring further.

# List Product Sales

> Fetch all sales (order items) for a product. Results are paginated.



## OpenAPI

````yaml get /v1/products/{id}/sales
openapi: 3.1.0
info:
  title: Wallet API
  version: 2.72.0
servers:
  - url: https://dev.api.mufi.app/
    description: Staging
security: []
paths:
  /v1/products/{id}/sales:
    get:
      tags:
        - engagement
      summary: List Product Sales
      description: Fetch all sales (order items) for a product. Results are paginated.
      parameters:
        - schema:
            type: string
            format: uuid
            description: The product ID.
          required: true
          description: The product ID.
          name: id
          in: path
        - schema:
            type: number
            minimum: 1
            default: 1
          required: false
          name: page
          in: query
        - schema:
            type: number
            minimum: 1
            maximum: 100
            default: 10
          required: false
          name: limit
          in: query
      responses:
        '200':
          description: Returns a paginated list of sales for the product.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ListSalesResponse'
        '400':
          description: A bad request will contain a list of errors for invalid fields.
          content:
            application/json:
              schema:
                type: object
                properties:
                  errors:
                    type: array
                    items:
                      type: string
                required:
                  - errors
        '401':
          description: >-
            Unauthorized. The API key is missing or has expired if you are using
            a key with an expiration date that you configured when creating the
            key.
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                required:
                  - message
        '403':
          description: >-
            Forbidden. The API key that you provided is not valid or does not
            exist.
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                required:
                  - message
        '404':
          description: Product not found.
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                required:
                  - message
      security:
        - BearerAuth: []
components:
  schemas:
    ListSalesResponse:
      type: object
      properties:
        sales:
          type: array
          items:
            $ref: '#/components/schemas/SaleItemResponse'
        pagination:
          type: object
          properties:
            page:
              type: integer
            limit:
              type: integer
            total:
              type: integer
          required:
            - page
            - limit
            - total
      required:
        - sales
        - pagination
    SaleItemResponse:
      type: object
      properties:
        id:
          type: string
          format: uuid
          description: The order item ID.
        order_number:
          type: string
          description: The order number (e.g. MUFI-000001).
        order_status:
          type: string
          description: The order status.
        product_name:
          type: string
          description: The product name at time of purchase.
        quantity:
          type: integer
          description: The quantity purchased.
        unit_price:
          type: integer
          description: The unit price in cents.
        user_id:
          type: string
          format: uuid
          description: The user who made the purchase.
        user_email:
          type:
            - string
            - 'null'
          format: email
          description: The email of the user.
        user_first_name:
          type:
            - string
            - 'null'
          description: The first name of the user.
        user_last_name:
          type:
            - string
            - 'null'
          description: The last name of the user.
        created_at:
          type: string
          format: date-time
          description: The date and time the sale was made.
      required:
        - id
        - order_number
        - order_status
        - product_name
        - quantity
        - unit_price
        - user_id
        - user_email
        - user_first_name
        - user_last_name
        - created_at
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: A JWT Access Token obtained from Google Cloud.

````